//-------------------------------------------------------------------//

// Synopsis:	Dingdong matrix - a symmetric Hankel matrix.

// Syntax:	A = dingdong ( N ) 

// Descriptioin:

//	A is the symmetric N-by-N Hankel matrix with 
//	A[i;j] = 0.5/(N-i-j+1.5).

//	The eigenvalues of A cluster around PI/2 and -PI/2.

//      Invented by F.N. Ris.

//          Reference:
//          J.C. Nash, Compact Numerical Methods for Computers: Linear
//          Algebra and Function Minimisation, second edition, Adam Hilger,
//          Bristol, 1990 (Appendix 1).

//	This file is a translation of dingdong.m from version 2.0 of
//	"The Test Matrix Toolbox for Matlab", described in Numerical
//	Analysis Report No. 237, December 1993, by N. J. Higham.

// Dependencies
   require cauchy

//-------------------------------------------------------------------//

dingdong = function ( n )
{
  return cauchy (-2*(1:n) + (n+1.5));
};
