//-------------------------------------------------------------------//

// Synopsis:	Skew-symmetric (skew-Hermitian) part.

// Syntax:	S = skewpart ( A )

// Description:

//	S is the skew-symmetric (skew-Hermitian) part of A, (A - A')/2.
//	It is the nearest skew-symmetric (skew-Hermitian) matrix to A
//	in both the 2- and the Frobenius norms. 

//	This file is a translation of skewpart.m from version 2.0 of
//	"The Test Matrix Toolbox for Matlab", described in Numerical
//	Analysis Report No. 237, December 1993, by N. J. Higham.

//-------------------------------------------------------------------//

skewpart = function ( A )
{
  return (A - A')./2;
};
